from audio import*
from button2 import*
from intro import*
from alphabet import learn_alphabet
from alphabet import review_alphabet
from vocabulary import learn_menu
from vocabulary import review_menu
#from functools import partial
from menu import*

def main_menu():    
    #audio_options=[lambda: menu_audio(),lambda: menu_opt("1"),lambda: menu_opt("2"),lambda: menu_opt("3")]
    audio_options=[lambda: play_menu_name("main"),lambda: menu_opt("1"),lambda: menu_opt("2"),lambda: menu_opt("3")]
    options=[lambda: alphabet(), lambda: vocabulary(), lambda: intro()]
    menu=Menu(options,audio_options,"main")
    menu.start()	

#Submenu Alphabet
def alphabet():
    audio_options_alphabet=[lambda: back(),lambda: menu_alphabet("1"),lambda: menu_alphabet("2")]
    options_alphabet=[lambda: learn_alphabet.learn(), lambda: review_alphabet.review()]
    submenu_alphabet=Menu(options_alphabet,audio_options_alphabet,"alphabet")
    submenu_alphabet.start()	
	
#Submenu Vocabulary
def vocabulary():
    audio_options_vocabulary=[lambda: back(),lambda: menu_vocabulary("1"),lambda: menu_vocabulary("2")]
    options_vocabulary=[lambda: learn_menu.learn(), lambda: review_menu.review()]
    submenu_vocabulary=Menu(options_vocabulary,audio_options_vocabulary,"vocabulary")
    submenu_vocabulary.start()	
