# Neltume
<snippet>
  <content>
Learning a foreign language is a challenging experience. During our different experiences trough the language acquisition we have had struggles, at the time of memorize new vocabulary and grammar.

There is a lot of useful methods and digital tools available to make easier that challenge, but unfortunately almost every tool out there requires the vision of the user, in order to see the content itself, even the simplest ones like Flashcards.

That's why we decided to elaborate and design Neltume, which means in Mapudungun to become free, an Open Source Hardware tool that will help people with low vision or blindness to memorize new words and phrases on a foreign language.

## Installation
For Prototype A you will need a computer running linux and with Python 3.x
install MPG123:
apt-get install mpg123 (for ubuntu/debian distros)

install py-getch
pip3 install py-getch

## Usage
The Software starts through the file main.py, so you need to write on the command line (inside the folder of Neltume)
python3 main.py

If you want to add more words to the vocabulary you have 2 options.
1) Modify directly the file vocabulary.json (search which is the last key)
2) Use the file view.py and add.py

You need also to search for the word pronunciation on booth language and add to audio/words a file (extension .mpga)
with the name of the key generated and a "a" for spanish pronunciation and "b" for the english pronunciation.
Example:
perro--> 14a.mpga
dog --> 14b.mpga

</content>
</snippet>
