import subprocess
import time

#sound of start up
def startup():
    opt='audio/startup.mp3'
    audio_menu=subprocess.Popen(['mpg123', opt]).wait()
    time.sleep(0.5)
#sound of the intro
def intro_audio(x):    
    if x==0:
        for i in range(3):
            intro_item='audio/intro/'+str(i)+'.mp3'
            audio_intro=subprocess.Popen(['mpg123', intro_item, "-ss", "10"],stdin=subprocess.PIPE, stdout=subprocess.PIPE, stderr=subprocess.PIPE).wait()
            time.sleep(1)
    elif x==1:
        intro_item='audio/intro/'+str(4)+'.mp3'
        audio_intro=subprocess.Popen(['mpg123', intro_item, "-ss", "10"],stdin=subprocess.PIPE, stdout=subprocess.PIPE, stderr=subprocess.PIPE).wait()
        
def menu_audio():
    x=[1,2,3,6]
    menu='audio/menu/menu.mp3'
    audio_menu=subprocess.Popen(['mpg123', menu]).wait()
    time.sleep(1)
    select_button='audio/menu/instruction.mp3'
    audio_instruction=subprocess.Popen(['mpg123', select_button]).wait()
    
#Effects
def effect(x):
    effect='audio/effects/'+str(x)+'.mp3'
    audio_effect=subprocess.Popen(['mpg123', effect]).wait()
    time.sleep(0.5)
#Audio description for every button on Neltume
def button(x):
    button='audio/buttons/b'+str(x)+'.mp3'
    audio_button=subprocess.Popen(['mpg123', button]).wait()
    time.sleep(0.5)

def exercise_button(x):
    e_button='audio/buttons/exercise/e'+str(x)+'.mp3'
    audio_e_button=subprocess.Popen(['mpg123', e_button]).wait()
    time.sleep(0.5)
def good_answer():
    effect('correct')
    time.sleep(0.5)
    right_ans='audio/effects/answers/right.mp3'
    audio_right_ans=subprocess.Popen(['mpg123', right_ans, "-ss", "10"],stdin=subprocess.PIPE, stdout=subprocess.PIPE, stderr=subprocess.PIPE).wait()
    time.sleep(0.5)
    
def wrong_answer():
    effect('wrong')
    time.sleep(0.5)
    wrong_ans='audio/effects/answers/wrong.mp3'    
    audio_wrong_ans=subprocess.Popen(['mpg123', wrong_ans, "-ss", "10"],stdin=subprocess.PIPE, stdout=subprocess.PIPE, stderr=subprocess.PIPE).wait()
    time.sleep(0.5)        
    
def menu_opt(x):
    menu='audio/menu/opt'+x+'.mp3'
    audio_menu=subprocess.Popen(['mpg123', menu]).wait()
    time.sleep(0.5)
def menu_alphabet(x):
    menu='audio/menu/alphabet/opt'+x+'.mp3'
    audio_menu=subprocess.Popen(['mpg123', menu]).wait()
    time.sleep(0.5)
def menu_vocabulary(x):
    menu='audio/menu/vocabulary/opt'+x+'.mp3'
    audio_menu=subprocess.Popen(['mpg123', menu]).wait()
    time.sleep(0.5)
def back():
    menu='audio/menu/back.mp3'
    audio_menu=subprocess.Popen(['mpg123', menu]).wait()
    time.sleep(0.5)
#Spelling words
def spell(x):
    len_x=len(x)
    for i in range(len_x):
        y='audio/alphabet/eng/'+x[i]+'.mp3'
        audio_word=subprocess.Popen(['mpg123', y]).wait()
        
def play_letter(x,y):
    if y=="eng":
        letter_eng='audio/alphabet/eng/'+x+'.mp3'
        audio_letter_eng=subprocess.Popen(['mpg123', letter_eng, "-ss", "10"],stdin=subprocess.PIPE, stdout=subprocess.PIPE, stderr=subprocess.PIPE).wait()
        time.sleep(0.5)
    elif y=="spa":
        letter_spa='audio/alphabet/spa/'+x+'.mp3'
        audio_letter_spa=subprocess.Popen(['mpg123', letter_spa, "-ss", "10"],stdin=subprocess.PIPE, stdout=subprocess.PIPE, stderr=subprocess.PIPE).wait()
        time.sleep(0.5)
#ej: play_word(#index,"eng")        
def play_word(x,y,z):
    if y=="eng":
        word_eng='audio/vocabulary/categories/'+z+'/'+x+'b.mp3'
        audio_word_eng=subprocess.Popen(['mpg123', word_eng]).wait()
        time.sleep(0.5)
    elif y=="spa":
        word_spa='audio/vocabulary/categories/'+z+'/'+x+'a.mp3'
        audio_word_spa=subprocess.Popen(['mpg123', word_spa]).wait()
        time.sleep(0.5)
#Word presentation (twice)
def word_presentation(x,y):
    for i in range(2):
        play_word(str(x),"spa",y)
        time.sleep(1)
        play_word(str(x),"eng",y)
        time.sleep(1)        
#Name of the categories of the vocabulary
def play_category_name(x):
    categorie_name='audio/vocabulary/categories/names/'+x+'a.mp3'
    audio_inst3=subprocess.Popen(['mpg123', categorie_name]).wait()
    time.sleep(0.5)        
#Instruction to learn a new word
def play_word_instruction():
    inst='audio/vocabulary/instructions/learn/instruction1.mp3'
    audio_inst=subprocess.Popen(['mpg123', inst]).wait()
    time.sleep(0.5)    
#Review levels
def play_review_level(x):
    review_level='audio/vocabulary/instructions/review/level/'+x+'.mp3'
    level_instruction=subprocess.Popen(['mpg123', review_level]).wait()
    time.sleep(0.5)        
def play_menu_name(x):
    menu='audio/menu/menu_name_'+x+'.mp3'
    audio_menu=subprocess.Popen(['mpg123', menu]).wait()
    time.sleep(0.5)
    

