import json
import time
from vocabulary import vocabulary
from user import*
import time
from datetime import date

def words_level(x):
    words_learned=vocabulary.words_learned_dict()
    words_level=[]
    for i in words_learned:
        if words_learned[i][2]==x:
            words_level.append(i)
    return words_level
    
#Words reviewed today
def reviewed():
    with open('json/words_review_today.json') as json_data:
        total = json.load(json_data)
    return total

def clean_words_reviewed_today():
    empty_dict={}
    with open('json/words_review_today.json','w') as json_data:
        json.dump(empty_dict,json_data)
    
class Words_learned:
    def __init__(self):
        self.words_level1=words_level(1)
        self.words_level2=words_level(2)
        self.words_level3=words_level(3)
        self.words_level4=words_level(4)
        self.words_review_today=reviewed()
    def update_words_reviewed_today(self):
        empty_dict={}
        current_date=date(time.localtime()[0],time.localtime()[1],time.localtime()[2])          
        words_every_level=[words_level(1),words_level(2),words_level(3),words_level(4)]
        words_learned=vocabulary.words_learned_dict()
        count=0
        times_practiced=0
        new_level=1
        words_review=reviewed()
        for i in words_every_level:
            count=count+1
            for j in i:
                for k in words_review[str(count)]:
                    if k[0]==j:
                        times_practiced=k[1]                
                word_date=date(words_learned[j][1][0],words_learned[j][1][1],words_learned[j][1][2])
                if count==1:  
                    if times_practiced==2:
                        new_level=2
                    else:
                        new_level=1                 
                elif count==2:
                    if times_practiced==1:
                        new_level=3
                    else:
                        new_level=1  
                elif count==3:
                    date_diff=word_date-current_date
                    if times_practiced==1 and date_diff<=2 and date_diff>=0:
                        new_level=4
                    else:
                        new_level=1
                elif count==4:
                    date_diff=word_date-current_date
                    if times_practiced==2 and date_diff<=7 and date_diff>=0:
                        new_level=4
                    else:
                        new_level=1
        with open('json/words_review_today.json','w') as json_data:
            json.dump(empty_dict,json_data)            
    def add_word_reviewed(self,word):
        words_learned=vocabulary.words_learned_dict()
        words_review=reviewed()
        number_practiced=0
        word_level=words_learned[word][2]
        word_last_date=words_learned[word][1]
        if word in words_review:
            number_practiced=words_review[word]+1
        else:
            number_practiced=1
        word_reviewed=[word,number_practiced]
        words_review[str(word_level)]=word_reviewed
        with open('json/words_review_today.json','w') as json_data:
            json.dump(words_review,json_data)       
